POST gls/api/reports/input-output-tax

Request Information

URI Parameters

None.

Body Parameters

InputOutputTaxRequestDto
NameDescriptionTypeAdditional information
CutOffFromMonth

integer

None.

CutOffFromYear

integer

None.

CutOffToMonth

integer

None.

CutOffToYear

integer

None.

TaxRates

Collection of TaxRateItem

None.

TaxCodes

Collection of TaxCodeItem

None.

TaxCodeList

Collection of string

None.

IsInputTax

boolean

None.

IsOutputTax

boolean

None.

IsDetailed

boolean

None.

IsSummarized

boolean

None.

OutputToScreen

boolean

None.

OutputToPrinter

boolean

None.

UserId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "cutOffFromMonth": 1,
  "cutOffFromYear": 2,
  "cutOffToMonth": 3,
  "cutOffToYear": 4,
  "taxRates": [
    {
      "dateFrom": "2026-04-07T22:24:31.8117078+08:00",
      "dateTo": "2026-04-07T22:24:31.8117078+08:00",
      "rate": 3.0
    },
    {
      "dateFrom": "2026-04-07T22:24:31.8117078+08:00",
      "dateTo": "2026-04-07T22:24:31.8117078+08:00",
      "rate": 3.0
    }
  ],
  "taxCodes": [
    {
      "taxCode": "sample string 1",
      "typeIO": "sample string 2"
    },
    {
      "taxCode": "sample string 1",
      "typeIO": "sample string 2"
    }
  ],
  "taxCodeList": [
    "sample string 1",
    "sample string 2"
  ],
  "isInputTax": true,
  "isOutputTax": true,
  "isDetailed": true,
  "isSummarized": true,
  "outputToScreen": true,
  "outputToPrinter": true,
  "userId": 1
}

application/xml, text/xml

Sample:
<InputOutputTaxRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO">
  <CutOffFromMonth>1</CutOffFromMonth>
  <CutOffFromYear>2</CutOffFromYear>
  <CutOffToMonth>3</CutOffToMonth>
  <CutOffToYear>4</CutOffToYear>
  <IsDetailed>true</IsDetailed>
  <IsInputTax>true</IsInputTax>
  <IsOutputTax>true</IsOutputTax>
  <IsSummarized>true</IsSummarized>
  <OutputToPrinter>true</OutputToPrinter>
  <OutputToScreen>true</OutputToScreen>
  <TaxCodeList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:string>sample string 1</d2p1:string>
    <d2p1:string>sample string 2</d2p1:string>
  </TaxCodeList>
  <TaxCodes>
    <TaxCodeItem>
      <TaxCode>sample string 1</TaxCode>
      <TypeIO>sample string 2</TypeIO>
    </TaxCodeItem>
    <TaxCodeItem>
      <TaxCode>sample string 1</TaxCode>
      <TypeIO>sample string 2</TypeIO>
    </TaxCodeItem>
  </TaxCodes>
  <TaxRates>
    <TaxRateItem>
      <DateFrom>2026-04-07T22:24:31.8117078+08:00</DateFrom>
      <DateTo>2026-04-07T22:24:31.8117078+08:00</DateTo>
      <Rate>3</Rate>
    </TaxRateItem>
    <TaxRateItem>
      <DateFrom>2026-04-07T22:24:31.8117078+08:00</DateFrom>
      <DateTo>2026-04-07T22:24:31.8117078+08:00</DateTo>
      <Rate>3</Rate>
    </TaxRateItem>
  </TaxRates>
  <UserId>1</UserId>
</InputOutputTaxRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.